RubyGems Navigation menu

commander 5.0.0

The complete solution for Ruby command-line executables. Commander bridges the gap between other terminal related libraries you know and love (OptionParser, HighLine), while providing many new features, and an elegant API.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 5.0.0 - January 15, 2024 (37.5 KB)
  2. 4.6.0 - April 09, 2021 (37.5 KB)
  3. 4.5.2 - March 12, 2020 (37 KB)
  4. 4.5.1 - March 08, 2020 (37 KB)
  5. 4.5.0 - January 21, 2020 (36.5 KB)
Show all versions (40 total)

Runtime Dependencies (1):

highline ~> 3.0.0

Development Dependencies (4):

rake >= 0
rspec ~> 3.2
rubocop ~> 1.12.1
simplecov >= 0

Owners:

Pushed by:

Authors:

  • TJ Holowaychuk, Gabriel Gilder

SHA 256 checksum:

22ca42866ce5ed1a7f3e9a9c831a23d03b75b3743c7ad0302c3cbcd9eb5f257d

Total downloads 75,417,882

For this version 30,410

License:

MIT

Required Ruby Version: >= 3.0

Links: